人力検索はてな
モバイル版を表示しています。PC版はこちら
i-mobile

KDevelopについて教えてください。

WindowXP上にバーチャルPC2007を入れて
ubuntu6.10を入れてKDevelopの「プロジェクトのタイプ:C++ > KDE > Simple KDE Application」をビルドした所以下のエラーが出ました。AUTOCONFが無いと言っているようなのですが、対処方法があれば教えてください。


cd '/home/xxx/ktest' && WANT_AUTOCONF_2_5="1" WANT_AUTOMAKE_1_6="1" make -f Makefile.cvs && mkdir '/home/xxx/ktest/debug' && cd '/home/xxx/ktest/debug' && CXXFLAGS="-O0 -g3" "/home/xxx/ktest/configure" --enable-debug=full && cd '/home/xxx/ktest/debug' && WANT_AUTOCONF_2_5="1" WANT_AUTOMAKE_1_6="1" make -k
This Makefile is only for the CVS repository
This will be deleted before making the distribution

./admin/cvs.sh: 585: autoconf: not found
*** AUTOCONF NOT FOUND!.
*** KDE requires autoconf 2.52, 2.53 or 2.54
make[1]: *** [cvs] エラー 1
make: *** [all] エラー 2
*** Exited with status: 2 ***

●質問者: garyo
●カテゴリ:コンピュータ
✍キーワード:ALL application C++ CD CVS
○ 状態 :終了
└ 回答数 : 2/2件

▽最新の回答へ

1 ● JULY
●35ポイント

APT HOWTO - パッケージの管理

単純に、「apt-get install autoconf」とするだけの問題、ではないのかな(^^?

◎質問者からの返答

ありがとうございます。

いろいろエラーが出たのですが、現在以下を実行しています。

QT関連エラーまで行きました。

sudo dpkg --configure -a

sudo apt-get install gcc g77

sudo apt-get install cvs ruby python perl

sudo apt-get install build-essential

sudo apt-get install xlibs-dev


2 ● JULY
●35ポイント

Ubuntu に限らず Vine もそうですが、最近のディストリビューションだと開発関連(コンパイラやライブラリのヘッダファイルなど)のパッケージがデフォルトではインストールされないことが多くなりました。

ですので、地道に必要とされたパッケージを入れるしかないですね。

余談:

Vine だとコンパイル時に必要になるヘッダファイルを一気にインストールするための方法があるみたいですが、Ubuntu はどうなのかなぁ。

◎質問者からの返答

ありがとうございます。

いろいろ試した結果、以下を実行すると成功しました。


sudo dpkg --configure -a

sudo apt-get install autoconf automake1.7

sudo apt-get install gcc g77

sudo apt-get install cvs ruby python perl

sudo apt-get install build-essential

sudo apt-get install xlibs-dev

sudo apt-get install libqt3-mt-dev libqt3-headers

sudo apt-get install kdelibs4-dev

関連質問


●質問をもっと探す●



0.人力検索はてなトップ
8.このページを友達に紹介
9.このページの先頭へ
対応機種一覧
お問い合わせ
ヘルプ/お知らせ
ログイン
無料ユーザー登録
はてなトップ